com.hazelcast.core

## Class MembershipAdapter

- java.lang.Object
- - com.hazelcast.core.MembershipAdapter

- All Implemented Interfaces:
    MembershipListener, EventListener

      public class MembershipAdapter
      extends Object
      implements MembershipListener

  Adapter for MembershipListener. All the methods are implemented and only override the relevant methods
  See Also:
    `MembershipListener`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MembershipAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `memberAdded(MembershipEvent membershipEvent)` Invoked when a new member is added to the cluster.
    `void` | `memberAttributeChanged(MemberAttributeEvent memberAttributeEvent)` Invoked when an attribute of a member was changed.
    `void` | `memberRemoved(MembershipEvent membershipEvent)` Invoked when an existing member leaves the cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MembershipAdapter

          public MembershipAdapter()

  - ### Method Detail

    - #### memberAdded

          public void memberAdded(MembershipEvent membershipEvent)

      Description copied from interface: `MembershipListener`
      Invoked when a new member is added to the cluster.
      Specified by:
        `memberAdded` in interface `MembershipListener`
      Parameters:
        `membershipEvent` - membership event

    - #### memberRemoved

          public void memberRemoved(MembershipEvent membershipEvent)

      Description copied from interface: `MembershipListener`
      Invoked when an existing member leaves the cluster.
      Specified by:
        `memberRemoved` in interface `MembershipListener`
      Parameters:
        `membershipEvent` - membership event when an existing member leaves the cluster

    - #### memberAttributeChanged

          public void memberAttributeChanged(MemberAttributeEvent memberAttributeEvent)

      Description copied from interface: `MembershipListener`
      Invoked when an attribute of a member was changed.
      Specified by:
        `memberAttributeChanged` in interface `MembershipListener`
      Parameters:
        `memberAttributeEvent` - member attribute event when an attribute of a member was changed

Copyright © 2019. All rights reserved.